<?php
/**
 * Clase TipoTesisBL
 *
 * @package    
 * @subpackage 
 * @author     TipoTesisBL
 * @version    SVN: $Id: TipoTesisBL.class.php,v 1.1 2008/02/08 21:56:44 william.taype Exp $ 
 */
class TipoTesisBL{
    
  /**
  * 
  *
  * @param $o_TipoTesisBean, objeto de tipo TipoTesis 
  * @return Boolean
  */
  public function busquedaTipoTesis(TipoTesisBean $o_TipoTesisBean){
    
    $o_TipoTesisDP = new TipoTesisDP($o_TipoTesisBean);
    if($o_TipoTesisBean->getTipoTesisId()){
      return $o_TipoTesisDP->selectByPk();
    }else{
      return $o_TipoTesisDP->select();
    }
    
  }
  
  public function insertarTipoTesis(TipoTesisBean $o_TipoTesisBean){
    
    $o_TipoTesisCT = new TipoTesisCT();
    return $o_TipoTesisCT->guardar($o_TipoTesisBean);
    
  }
  	public function modificarTipoTesis(TipoTesisBean $o_TipoTesisBean){
	  
    $o_TipoTesisCT = new TipoTesisCT();
    return $o_TipoTesisCT->modificar($o_TipoTesisBean);
	
	}
  /**
	* Función que retorna un objeto TipoTesis o una lista de Objetos de TipoTesis,
	* dependiendo del parametro que se le envia si este contiene o no el Id de TipoTesis
	*
	* @param $o_TipoTesisBean, es un objeto de tipo TipoTesis
	* @return Object
	*/
	public function modificarEstadoTipoTesis(TipoTesisBean $o_TipoTesisBean){
	  $o_TipoTesisCT = new TipoTesisCT();
    return $o_TipoTesisCT->modificar($o_TipoTesisBean);
	
	}
	
	public function getTipoInvetigacion(TipoTesisBean $o_TipoTesisBean){
    
    $o_TipoTesisCT = new TipoTesisCT();
    return $o_TipoTesisCT->seleccionar($o_TipoTesisBean);
    
  }
  
  public function eliminarTipoTesis(TipoTesisBean $o_TipoTesisBean){
     $o_TipoTesisCT = new TipoTesisCT();
    return $o_TipoTesisCT->eliminar($o_TipoTesisBean);
  }
  
}



